MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024512Community[OCCT] OCCT:Codingpublic2014-01-03 01:502014-05-05 13:37
Reporterbarbier 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024512: Clang compiler complains about extra semicolon
DescriptionClang compiler emits warnings like these ones:
  .../src/OSD/OSD_MAllocHook.cxx:49:2: warning: extra ';' outside of a function is a C++11 extension [-Wc++11-extra-semi]
  .../src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx:317:30: warning: extra ';' after member function definition [-Wextra-semi]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027376)
barbier (developer)
2014-01-03 01:55

Branch CR24512 pushed, please review.
(0027377)
abv (manager)
2014-01-03 08:37

No remarks, please test
(0027409)
mkv (tester)
2014-01-09 11:17

Dear BugMaster,

Branch CR24512 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a4e9e48ee50a8b1fea26d43355247718a003ac62

Number of compiler warnings:

occt component :
Linux: 104 (104 on master)
Windows: 1 (1 on master)

products component :
Linux: 21 (21 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 358575160 / 358558676
Total CPU difference: 42810.10000000008 / 42225.660000000054

Testing on Windows:
Total MEMORY difference: 413609712 / 412810472
Total CPU difference: 31601.5 / 31506.34375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 5640d653
Timestamp: 2014-01-02 21:54:45
Author: barbier
Committer: bugmaster
Details ] Diff ]
0024512: clang++ compiler complains about extra semicolon

Clang++ compiler emits warnings like these ones when parsing superfluous semicolons:
  .../src/OSD/OSD_MAllocHook.cxx:49:2: warning: extra ';' outside of a function is a C++11 extension [-Wc++11-extra-semi]
  .../src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx:317:30: warning: extra ';' after member function definition [-Wextra-semi]
mod - src/BOPDS/BOPDS_CoupleOfPaveBlocks.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Interf.hxx Diff ] File ]
mod - src/LDOM/LDOM_OSStream.hxx Diff ] File ]
mod - src/Message/Message_ExecStatus.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_HeapAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_IncAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_Vec2.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec3.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec4.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OSD/OSD_MAllocHook.cxx Diff ] File ]
mod - src/PLib/PLib.cxx Diff ] File ]
mod - src/Select3D/Select3D_PointData.hxx Diff ] File ]
mod - src/Standard/Standard_Persistent_proto.hxx Diff ] File ]
mod - src/TDF/TDF_LabelNode.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-03 01:50 barbier New Issue
2014-01-03 01:50 barbier Assigned To => bugmaster
2014-01-03 01:55 barbier Note Added: 0027376
2014-01-03 01:55 barbier Status new => resolved
2014-01-03 08:37 abv Note Added: 0027377
2014-01-03 08:37 abv Status resolved => reviewed
2014-01-03 12:45 kgv Product Version 6.7.1 =>
2014-01-03 12:45 kgv Target Version => 6.7.1
2014-01-08 11:26 mkv Assigned To bugmaster => mkv
2014-01-09 11:17 mkv Note Added: 0027409
2014-01-09 11:18 mkv Test case number => Not needed
2014-01-09 11:18 mkv Assigned To mkv => bugmaster
2014-01-09 11:18 mkv Status reviewed => tested
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding
2014-01-13 10:43 bugmaster Changeset attached => occt master 5640d653
2014-01-13 10:43 bugmaster Status tested => verified
2014-01-13 10:43 bugmaster Resolution open => fixed
2014-05-05 13:36 user533 Status verified => closed
2014-05-05 13:37 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker